﻿using System;
using System.Collections;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace WpfApplication1
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        private string gridCustomizations;


        public MainWindow()
        {
            InitializeComponent();
        }

        private string GetCustomizationFilePath()
        {
            string result = Environment.GetFolderPath(
                Environment.SpecialFolder.ApplicationData,
                Environment.SpecialFolderOption.Create
            );
            result = System.IO.Path.Combine(
                result,
                "WpfApplication1"
            );
            if (!Directory.Exists(result))
            {
                Directory.CreateDirectory(result);
            }
            result = System.IO.Path.Combine(
                result,
                "gridCustomizations.xml"
            );
            return result;
        }

        private void ButtonSave_Click(object sender, RoutedEventArgs e)
        {
            string path = GetCustomizationFilePath();
            System.Diagnostics.Debug.WriteLine("Saving customization to: " + path);
            this.gridCustomizations = this.grdOrder.SaveCustomizations();
            File.WriteAllText(path, this.gridCustomizations);
        }

        private void ButtonLoad_Click(object sender, RoutedEventArgs e)
        {
            string path = GetCustomizationFilePath();
            System.Diagnostics.Debug.WriteLine("Loading customization from: " + path);
            this.gridCustomizations = File.ReadAllText(path);
            this.grdOrder.LoadCustomizations(this.gridCustomizations);
        }

        private void OnInitializeRecord(object sender, Infragistics.Windows.DataPresenter.Events.InitializeRecordEventArgs e)
        {

        }

        private void OnGridLoaded(object sender, RoutedEventArgs e)
        {
            List<PositionRecord> l = new List<PositionRecord>();
            l.Add(new PositionRecord());
            l.Add(new PositionRecord());
            l.Add(new PositionRecord());
            this.grdOrder.DataSource = l;
        }
    }
}
